#ifndef CDICTIONARYINTTOINT_H
#define CDICTIONARYINTTOINT_H
#include "onewaylist.h"
#include <istream>
#include <ostream>
class CDictionaryIntToInt
{
    OnewayList key;
    OnewayList val;
    int total=0;
public:
    CDictionaryIntToInt();
    CDictionaryIntToInt(int,int);
    CDictionaryIntToInt(const CDictionaryIntToInt&);
    //CDictionaryIntToInt(CDictionaryIntToInt&&) noexcept;
    bool add(int,int,char=0);
    int get(int)const;
    int find(int,bool=0)const;
    bool remove(int);
    void removepos(int);
    CDictionaryIntToInt operator+(const CDictionaryIntToInt&)const;
    CDictionaryIntToInt operator-(const CDictionaryIntToInt&)const;
    CDictionaryIntToInt operator/(const CDictionaryIntToInt&)const;
    CDictionaryIntToInt& operator=(const CDictionaryIntToInt&);
    friend std::istream& operator>>(std::istream&, CDictionaryIntToInt&);
    friend std::ostream& operator<<(std::ostream&, const CDictionaryIntToInt&);
    bool operator==(const CDictionaryIntToInt&)const;
    int gettotal()const;
};
#endif // CDICTIONARYINTTOINT_H
